html,
body {
  height: 100%;
  margin: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

body {
  display: flex;
  flex-direction: column;
}

main {
  flex: 1;
}

.banner {
  clear: both;
  padding-top: 200px;
}

.navbar-brand img {
  max-height: 70px;
  width: auto;
  object-fit: contain;
  padding: 5px 0;
}

.footer-logo {
  max-height: 70px;
  max-width: 150px;
  width: auto;
  object-fit: contain;
  margin: 10px auto;
  display: block;
}

.navbar-nav .nav-link {
  font-size: 1.1rem;
  padding: 0.5rem 1rem;
}

.banner {
  background-size: cover;
  background-position: center;
  height: 400px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: black;
  font-size: 2rem;
  font-weight: bold;
}

.footer {
  background-color: #333;
  color: white;
  padding: 20px;
}

.footer-icons i {
  margin: 0 10px;
  transition: transform 0.2s ease;
  color: white;
}

.footer-icons i:hover {
  transform: scale(1.2);
  color: #ccc;
}

.nav-link:hover {
  color: #007bff !important;
}

.clickable-section {
  cursor: pointer;
}

.carousel-blur {
  mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 20%,
    black 80%,
    transparent 100%
  );
  -webkit-mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 20%,
    black 80%,
    transparent 100%
  );
}

#carouselExample {
  position: relative;
  width: 100%;
  height: 90vh;
  min-height: 500px;
  overflow: hidden;
}

#carouselExample .carousel-item {
  height: 100%;
}

#carouselExample .carousel-item img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

/* Flechas visibles y centradas */
.carousel-control-prev-icon,
.carousel-control-next-icon {
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  padding: 12px;
}

.carousel-control-prev,
.carousel-control-next {
  width: 5%;
}

/* Banner del logo principal */
.logo-banner {
  padding: 10px 0;
  text-align: center;
  margin: 0;
}

.logo-banner-img {
  max-width: 400px;
  width: 35%;
  height: auto;
}

/* Ajustes para móviles */
@media (max-width: 768px) {
  .logo-banner {
    padding: 30px 0;
  }

  .logo-banner-img {
    max-width: 300px;
    width: 80%;
    height: auto;
  }

  #carouselExample {
    height: 60vh; /* Ocupa menos en móviles */
    min-height: 300px; /* Altura mínima más baja en móviles */
  }
}